#
# spec file for package perl-Glib-Object-Introspection
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Glib-Object-Introspection
Version:        0.049
Release:        pm152.2.1
#Upstream:  This library is free software; you can redistribute it and/or modify it under the terms of the Lesser General Public License (LGPL). For more information, see http://www.fsf.org/licenses/lgpl.txt
%define cpan_name Glib-Object-Introspection
Summary:        Dynamically create Perl language bindings
License:        LGPL-2.1-only
Group:          Development/Libraries/Perl
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/X/XA/XAOC/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::Depends) >= 0.3
BuildRequires:  perl(ExtUtils::PkgConfig) >= 1
BuildRequires:  perl(Glib) >= 1.32
Requires:       perl(ExtUtils::Depends) >= 0.3
Requires:       perl(ExtUtils::PkgConfig) >= 1
Requires:       perl(Glib) >= 1.32
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gobject-introspection-1.0)
# MANUAL END

%description
Dynamically create Perl language bindings

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc NEWS perl-Glib-Object-Introspection.doap README
%license LICENSE

%changelog
* Thu Oct 22 2020 Tina Müller <timueller+perl@suse.de>
- updated to 0.049
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Wed Dec 11 2019 <timueller+perl@suse.de>
- updated to 0.048
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Wed Aug 28 2019 Stephan Kulow <coolo@suse.com>
- add license to cpanspec.yaml
* Tue Aug 27 2019 Tina Mueller <tina.mueller@suse.com>
- Add BuildRequires to cpanspec.yaml and spec
* Wed Apr  3 2019 Stephan Kulow <coolo@suse.com>
- updated to 0.047
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Mon Oct  8 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix autogenerated changes
* Thu Sep 27 2018 Stephan Kulow <coolo@suse.com>
- updated to 0.046
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Wed May 23 2018 coolo@suse.com
- updated to 0.045
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.044
  see /usr/share/doc/packages/perl-Glib-Object-Introspection/
* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.042 (changes since 0.040):
  ∗ Tweak the test environment to work with newer
    ExtUtils::MakeMaker.
  * Use the stack in favour of heap allocation during marshalling.
  * Use custom code to find struct methods in order to avoid a bug.
  * Remove an unused internal variable.
  * Add support for object class functions.
  * Add support for marshalling GParamSpec.
  * Add Glib::Object::Introspection::GValueWrapper::get_value.
  * perli11ndoc: Put special classes and records into their own
    category.
  * perli11ndoc: List functions of enums and bitfields.
  * perli11ndoc: Fix the synopsis formatting for class struct
    functions.
  * perli11ndoc: Correctly display array and callback
    parameters/return values/fields.
  * Fix "occuring" typo in POD (bgo#775169).
* Tue Dec 29 2015 sor.alexei@meowr.ru
- Update to 0.040:
  * Makefile.PL: Make G:O:I dependent on Glib version >= 1.320.
* Fri Dec  4 2015 sor.alexei@meowr.ru
- Update to 0.033:
  * perli11ndoc: Add a path bar to the results display.
* Sat Oct 10 2015 sor.alexei@meowr.ru
- Update to 0.032 (changes since 0.030):
  * Add perli11ndoc, an interactive documentation viewer.
  * Added perli11ndoc to MANIFEST.
  * Docs: include an edited version of Gtk2::api.
  * perli11ndoc: hush a warning when run in text mode without args.
  * perli11ndoc: display a synopsis for callables.
  * perli11ndoc: make Control+k focus the search entry.
  * perli11ndoc: make Right/Left expand/collapse rows in the tree
    view.
  * perli11ndoc: make the result text view readonly.
  * Croak in setup for unhandled modificaion combinations.
  * perli11ndoc: when filtering, show children of matching elements.
* Thu Aug 20 2015 sor.alexei@meowr.ru
- Update to 0.030:
  * Avoid repeating setting up a library as this can lead to issues.
  * Add some missing version guards to the tests.
  * Add t/variants.t to MANIFEST.
* Thu Mar 26 2015 sor.alexei@meowr.ru
- Update to 0.029:
  * Hook up the generic Glib::Boxed constructor on load, not in
    setup().
  * Add support for marshalling GVariants, GArrays, GPtrArrays and
    GByteArrays.
  * Support flat arrays when converting from C to Perl.
* Thu Feb 26 2015 sor.alexei@meowr.ru
- Update to 0.028:
  * Harmonize the format of type names in error messages.
  * Add a FIXME about a corner case of GInitiallyUnowned handling.
* Wed Jan 28 2015 sor.alexei@meowr.ru
- Update to 0.027:
  * Fix compilation problems when NOISY is defined.
  * Move the handling of void record fields into the field
    accessors.
  * Rename a few variables for clarity.
* Fri Jan 16 2015 sor.alexei@meowr.ru
- Initial package.
